import copy
from typing import Dict, List

def json_link_id(link_uuid : str):
    return {'link_uuid': {'uuid': link_uuid}}

def json_link(link_uuid : str, endpoint_ids : List[Dict]):
    return {'link_id': json_link_id(link_uuid), 'link_endpoint_ids': copy.deepcopy(endpoint_ids)}
